List the current inventory snapshot report
GET
/v1/organizations/{organizationId}/reports/inventory-snapshot
API key scope: reports:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Request-Id
string
Optional client request id returned in structured errors.
Query Parameters
Section titled “Query Parameters”createdFrom
string format: date-time
createdTo
string format: date-time
productId
string
locationId
string
ownerId
string
channelId
string
status
string
Status filter. Supported values depend on report type.
operation
string
inventoryState
string
limit
number
cursor
string
Opaque id cursor returned by the previous report page.
Responses
Section titled “Responses”Inventory snapshot report page.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
productId
required
string format: uuid
productName
required
string
productSku
required
string
locationId
required
string format: uuid
locationName
required
string
locationCode
required
string
ownerId
required
string format: uuid
ownerName
required
string
ownerCode
required
string
channelId
required
string format: uuid
channelName
required
string
channelCode
required
string
onHand
required
number
available
required
number
reserved
required
number
committed
required
number
incoming
required
number
damaged
required
number
qualityControl
required
number
safetyStock
required
number
updatedAt
required
string format: date-time
nextCursor
object
Example
{ "items": [ { "id": "55555555-5555-4555-8555-555555555555", "productId": "22222222-2222-4222-8222-222222222222", "productName": "Black T-Shirt - Medium", "productSku": "TSHIRT-BLACK-M", "locationId": "33333333-3333-4333-8333-333333333333", "locationName": "Main Warehouse", "locationCode": "MAIN-WH", "ownerId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd", "ownerName": "Consignment Partner", "ownerCode": "PARTNER", "channelId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee", "channelName": "Marketplace", "channelCode": "MARKETPLACE", "onHand": 10, "available": 8, "reserved": 2, "committed": 0, "incoming": 0, "damaged": 0, "qualityControl": 0, "safetyStock": 1, "updatedAt": "2026-07-06T12:00:00.000Z" } ], "nextCursor": null}The organization has exhausted its monthly public API request quota.
The organization plan does not allow the requested action.
Media typeapplication/json
Example
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for active_products", "requestId": "req_123", "details": { "entitlementKey": "active_products", "scope": "environment", "environment": "live", "configured": true, "limit": "100", "used": "100", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}